<?php

/*
  D2UniqueMaker
  GPLv2 (C) <2021>  <HashCasper>

  This file is part of D2UM.

  D2UM is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  D2UM is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with D2UM.  If not, see <http://www.gnu.org/licenses/>.
 */

ini_set('display_errors', 1);
error_reporting(1);
ini_set('log_errors', 1);

include "includes.php";

if (file_exists("d2im.db") && (file_exists($_SESSION['modname'].".db"))){

	if (is_dir($_SESSION['path'])) {
		define('TXT_PATH', $_SESSION['path']);
	} else {
		header('Location: /src/D2Config.php');
	}
	
	$db = new D2Database();
	$parser = new D2TxtParser();
	
	$armor = PDO_FetchAll('SELECT * FROM armor WHERE `spawnable`=1');
	$weapon = PDO_FetchAll('SELECT * FROM weapons WHERE `spawnable`=1');
	 

	$prop = $parser->filterProps('Properties.txt');
	
	// If there's data, process it and save
	if (!empty($_POST)) {
		
		// save db name from post into conf file
		
		require_once './src/D2SaveFile.php';
		$saver = new D2SaveFile();

		// process post
		// combine armor/weapon codes
		$post = $_POST;
		if (!empty($post['code'])) {
			array_filter($post['code']);

			if (!empty($post['code'][0])) {
				$post['code'] = $post['code'][0];
			} else {
				$post['code'] = $post['code'][1];
			}
		}


		if ($_POST['formtype'] == "uniqueitems") {
			
			
			// if ladder or carry1 is 0, set empty field.
			if (!$post['ladder']) {
				$post['ladder'] = '';
			}
			if (!$post['carry1']) {
				$post['carry1'] = '';
			}
			$saver->save($u, $post);
			$saver->saveTblEnries("UniqueItems.tbl.txt");
		}
		if ($_POST['formtype'] == "setitems") {
			$saver->save($s, $post);
			$saver->saveTblEnries("SetItems.tbl.txt");
		}
	}


// load app
	require_once './src/index.php';
} else {
	header('Location: ./src/D2Config.php');
}
?>